<!DOCTYPE html>
<html>
   <head>
      <title>Historico</title>
      <meta name = "viewport" content = "width = device-width, initial-scale = 1">
      <link rel = "stylesheet" href = "https://code.jquery.com/mobile/1.4.5/jquery.mobile-1.4.5.min.css">
      <script src = "https://code.jquery.com/jquery-1.11.3.min.js"></script>
      <script src = "https://code.jquery.com/mobile/1.4.5/jquery.mobile-1.4.5.min.js"></script>
	  <script src = "js/navegar.js"></script>	
   </head>

   <body>
      <div data-role = "page" id = "page1">
         <div data-role = "navbar" >
                <ul>
                    <li><a href="javascript:navegar_oferta  ()" class = "ui-btn ui-btn-inline ui-btn-a">Ofertas</a></li>
                    <li><a href="javascript:navegar_compra  ()" class = "ui-btn ui-btn-inline ui-btn-a ">Fruta y Verdura</a></li>
                    <li><a href="javascript:navegar_obrador ()" class = "ui-btn ui-btn-inline ui-btn-a">Obrador</a></li>
					<li><a href="javascript:navegar_flor ()" class = "ui-btn ui-btn-inline ui-btn-a ">Flor</a></li>
					<li><a href="javascript:navegar_historico ()" class = "ui-btn-active ui-state-persist">Historico</a></li>
					<li><a href="logout.php" class = "ui-btn ui-btn-inline ui-btn-a ">Salir</a></li>						
                </ul>		 
         </div>
                 
         <div data-role = "header"  data-position="fixed">
            <h2>HISTORICO</h2>		 
         </div>
         
         <div data-role = "main" class = "ui-content">
		 
<?php
//   if( isset( $_COOKIE['codigoCliente']) )
//   {
//		$usuario = $_COOKIE["codigoCliente"];
//   }
//   else
//   {
//		$usuario =  $_SESSION["codigo"];
//   }	   
   session_start();
	$usuario = $_SESSION["codigo"];
   
   require_once 'funciones_bd.php';
   require_once 'funciones_resdis.php';
   $db = new funciones_BD();
   $dbresdis = new funciones_BDResdis ();
    $resultado = $db->fechaDosDiaPedido($usuario,$registros[]); 
    $dia = date("Y-m-d",strtotime('+100 day')); 
    foreach ($registros as $fechas) 
    {
      
      foreach ($fechas as $fecha)
      {
          if (isset($fecha->FECPEDIDO )) {
               $dia = $fecha->FECPEDIDO;
               echo "<div data-role='collapsible'>";   
	       echo "<h3>$fecha->FECPEDIDO</h3>";

               $res2 = $db->pedidosDelDia($usuario,$dia,$reg2[]);			   
  
               foreach ($reg2 as $pedidos)
               {
                   foreach ($pedidos as $pedido )
                   {
                     if(isset($pedido->NUMPEDIDO)){  
                      echo "<div data-role='collapsible'>";   
							echo "<h3>$pedido->NUMPEDIDO</h3>";
							$numeroPedido = $pedido->NUMPEDIDO;

							$res3 = $db->detallePedido ($usuario,$numeroPedido,$reg3[]);
							foreach ($reg3 as $detalles)
							{
								echo "<table>";
								foreach ($detalles as $detalle )
								{
									if(isset($detalle->CANTIDAD)){
									echo "<tr>";
										echo "<td>$detalle->CANTIDAD</td>";
										echo "<td>$detalle->DESCART</td>";
										echo "<td>$detalle->OBS</td>";
									echo "</tr>";
								}
							} 
								echo "</table>";
                      }   
					  unset ($reg3);
                      echo "</div>";
                    } 
                   }
				}
				$regResdis =[];
				$resresdis = $dbresdis->pedidosDelDia($usuario,$dia,$regResdis[],$fecha->DIAPEDIDO,$fecha->MESPEDIDO,$fecha->ANOPEDIDO);
               foreach ($regResdis as $pedidosResdis)
               {
                   foreach ($pedidosResdis as $pedidoResdis )
                   {
                     if(isset($pedidoResdis->numpedido)){  
                      echo "<div data-role='collapsible'>";   
							echo "<h3>$pedidoResdis->numpedido</h3>";
							$numeroPedido = $pedidoResdis->numpedido;
							$reg3Resdis =[];
							$res3Resdis = $dbresdis->detallePedido ($pedidoResdis->emp_cabped,$usuario,$numeroPedido,$reg3Resdis[]);
							foreach ($reg3Resdis as $detallesResdis)
							{
								echo "<table>";
								foreach ($detallesResdis as $detalleResdis )
								{
									if(isset($detalleResdis->bul_linped)){
									echo "<tr>";
										echo "<td>$detalleResdis->bul_linped</td>";
										echo "<td>$detalleResdis->descart</td>";
										echo "<td>$detalleResdis->obs_linped</td>";
									echo "</tr>";
								}
							} 
							echo "</table>";							
							}   
					  unset ($res3Resdis);
                      echo "</div>";
                    } 
                   }
				}				
/*********buscar obrador*******/				
/*********buscar flor*******/				
              echo "</div>";
         }
      }
    }
	
	
	

?>
		 
         </div>
         
		<div data-role = "footer" data-position="fixed">
			<a href="info_venta.php" DATA-ICON="user"  class = "ui-icon-user" data-rel="dialog" data-transition="pop" style='background-color:#e7416d;color:WHITE'>i</a>		 		 		 
         </div>
			<section id="info" data-role="dialog" >
				<header data-role="header">
					<h1>Informacion</h1>
				</header>
				<article data-role="content">
					<p>Usuario o contraseña no valida</p>
					<a href="#" data-role="button" data-rel="back">Aceptar</a>
				</article>
			</section>		 
      </div>

   </body>
</html>